Holger's Java API

## com.antelmann.sql
Class FullTextSearchFilter<T>

    java.lang.Object
      com.antelmann.sql.FullTextSearchFilter<T>

All Implemented Interfaces:
  SQLComboFilterSupported<T>, CascadingFilter<T>, Filter<T>, Serializable

    public class FullTextSearchFilter<T>

extends Object
implements SQLComboFilterSupported<T>, Serializable, CascadingFilter<T>

used in context with a `BaseRowMapper` to support full text search in tables

Since:
  30. April 2008, 19:40
Author:
  Holger Antelmann
See Also:
  `BaseRowMapper`, Serialized Form

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`FullTextSearchFilter(Filter<? super T> internalFilter, String[] pattern, String... restrictToColumns)`
`FullTextSearchFilter(String... pattern)` all given pattern must be present in an entry for the search criteria to apply

Method Summary
`boolean` `accept(T entry)` only returns false here if and only if an existing internalFilter won't accept the entry
`static String[]` `extractPattern(String fullPattern)`
`static String[]` `extractPattern(String fullPattern, String delimiter)`
`Filter<? super T>` `getInnerFilter()`
`String[]` `getPattern()`
`String[]` `getRestrictToColumns()`
`void` `setInnerFilter(Filter<? super T> filter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextSearchFilter

    public FullTextSearchFilter(String... pattern)

  all given pattern must be present in an entry for the search criteria to apply

### FullTextSearchFilter

    public FullTextSearchFilter(Filter<? super T> internalFilter,
                                String[] pattern,
                                String... restrictToColumns)

Method Detail

### extractPattern

    public static String[] extractPattern(String fullPattern)

### extractPattern

    public static String[] extractPattern(String fullPattern,
                                          String delimiter)

### getRestrictToColumns

    public String[] getRestrictToColumns()

### getPattern

    public String[] getPattern()

### getInnerFilter

    public Filter<? super T> getInnerFilter()

  Specified by:
    `getInnerFilter` in interface `CascadingFilter<T>`

### setInnerFilter

    public void setInnerFilter(Filter<? super T> filter)

  Specified by:
    `setInnerFilter` in interface `CascadingFilter<T>`

### accept

    public boolean accept(T entry)

  only returns false here if and only if an existing internalFilter won't accept the entry

  Specified by:
    `accept` in interface `Filter<T>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads